Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Interface ScoreType

All Known Implementing Classes:
  ScoreType.NullModel, ScoreType.Odds, ScoreType.Probability

    public interface ScoreType

This class computes the score that is used to be used in a DP optimisation.

Author:
  Matthew Pocock

Nested Class Summary
`static class` | `ScoreType.NullModel` In this class, calculateScore returns the probability of a Symbol being emitted by the null model.
`static class` | `ScoreType.Odds` In this class, calculateScore returns the odds ratio of a symbol being emitted.
`static class` | `ScoreType.Probability` In this class, calculateScore returns the probability of a Symbol being emitted.

Field Summary
`static ScoreType` | `NULL_MODEL`
`static ScoreType` | `ODDS`
`static ScoreType` | `PROBABILITY`

Method Summary
`double` | `calculateScore(Distribution dist, Symbol sym)` Calculates the score associated with a distribution and a symbol.

Field Detail

### PROBABILITY

    static final ScoreType PROBABILITY

### ODDS

    static final ScoreType ODDS

### NULL_MODEL

    static final ScoreType NULL_MODEL

Method Detail

### calculateScore

    double calculateScore(Distribution dist,
                          Symbol sym)
                          throws IllegalSymbolException

  Calculates the score associated with a distribution and a symbol.

  Throws:
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD